.visual-picker-option_content-container {
  display: block;
  margin: 0.5rem;
}

.visual-picker-option_input {
  width: 1px;
  height: 1px;
  border: 0;
  clip: rect(0 0 0 0);
  margin: -1px;
  overflow: hidden;
  padding: 0;
  position: absolute;
}

.visual-picker-option_content {
  display: flex;
  flex-direction: column;
  width: 142px;
}

.visual-picker-option {
  height: 142px;
  width: 100%;
  border-radius: 22px;
  box-shadow: 0 1px 2px 0 rgba(136, 152, 170, 0.5);
  text-align: center;
  border: solid 2px #e3e5ed;
  background-color: white;
  display: flex;
  justify-content: center;
  align-items: center;
  position: relative;
}

.visual-picker-option:hover {
  cursor: pointer;
  border: solid 2px #01b6f5;
  box-shadow: 0 2px 4px 0 rgba(136, 152, 170, 0.5);
}

.visual-picker-option_content-container
  .visual-picker-option_input:checked
  ~ .visual-picker-option_content
  > .visual-picker-option {
  border: solid 2px #01b6f5;
  box-shadow: 0 2px 4px 0 rgba(136, 152, 170, 0.5);
}

.visual-picker-option_content-container
  .visual-picker-option_input:disabled
  ~ .visual-picker-option_content
  > .visual-picker-option {
  box-shadow: transparent 0 0 0 0;
  background-color: rgb(244, 246, 249);
  cursor: not-allowed;
  border: 1px solid rgb(227, 229, 237);
  border-image: initial;
}

.visual-picker-option_selected-element {
  position: absolute;
  top: -1px;
  right: -1px;
  border: 1.5rem solid transparent;
  border-radius: 0 20px 0 0;
  border-right-color: #01b6f5;
  border-top-color: #01b6f5;
  margin: 0;
  padding: 0;
}

.visual-picker-option_checkmark-icon {
  position: absolute;
  top: 8px;
  right: 8px;
  fill: white;
  width: 16px;
  height: 10px;
}
